using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class SetAccountIDPacket : Packet
    {
        private readonly int AccountId;

        public SetAccountIDPacket(int AccountId)
        {
            this.AccountId = AccountId;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.WriteAccountHeader((uint)AccountId);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x06, 0x00, PacketFlags.None);
        }

        #endregion
    }
}